Subject: Re: bug#18138: rev. 117587 causes emacs segfault when auto-complete tests are run

From: Vladimir Lomov <[email-masked]>
Date: Wed, 30 Jul 2014 08:08:24 +0900

Hello,
** martin rudalics [2014-07-29 16:01:41 +0200]:

>> But there is another issue with rev. 117587 not related with emacs
>> segfault. Seems that this revision introduced new behaviour that isn't
>> documented: now emacs always has a horizontal scroll bar even if
>> scroll-bar-mode is switched off. I tested this in following way:
>> - compile emacs rev. 117587 and rev. 117586:
>> - run
>>    emacs -Q
>> - then
>>    M-x scroll-bar-mode
>> - results:
>>    117586: has only vertical scroll bar, M-x ... switched it off;
>>    117587: has both vertical (usual) and horizontal scroll bars, running
>>    M-x ... switching off only vertical scroll bar.

> Yes.  Horizontal scrollbars can currently be switched on and off only
> via `horizontal-scroll-bar-mode'.  I did not want `scroll-bar-mode'
> switching on horizontal scroll bars as well.  We can either use three
> terms `horizontal-scroll-bar-mode', `vertical-scroll-bar-mode', and
> `scroll-bar-mode' (where the semantics of the latter would change) or
> rename `scroll-bar-mode' to `vertical-scroll-bar-mode' keeping a
> `scroll-bar-mode' alias and have only two terms.

Thank you for explanation.

> Please file a separate report where you suggest how to improve that.

I'm fine as long as that feature is documented.

> Thanks, martin

---
WBR, Vladimir Lomov

-- 
Avec!